using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Transport.DAL;
using System.Data;

namespace Transport.BLL
{
    class bll_cost
    {
        // فراخوانی متد اجرای دستورات توسط این متد انجام میگیرد
        public static bool RunQuery(string SQLQuery)
        {
            bool TransactionResult = dal_commonCrud.RunQuery(SQLQuery);
            return TransactionResult;
        }

        public static DataTable SelectCostGroupList()
        {
            DataTable ResultTable = dal_cost_group.CostGroupList();
            return ResultTable;
        }


        // فرخوانی متد انتخاب همه رکوردهای  جدول هزینه ها توسط این متد انجام میگیرد
        public static DataTable SelectAllRecord(string TableName)
        {
            return dal_commonCrud.SelectAllRecords(TableName);
        }


        //جستجو در جدول هزینه ها بر اساس رشته پرس و جوی ارسالی از فرم
        public static DataTable search_in_cost(string SQLQuery)
        {
            DataTable SearchResultTable = dal_commonCrud.search(SQLQuery);
            return SearchResultTable;
        }

        public static int SumOfCost(string start_date,string end_date,bool is_all_date)
        {
            int SumCostResutl =dal_cost.SumOfCost(start_date, end_date,is_all_date);
            return SumCostResutl;
        }
    }
}
